Bug 18810 - Update Font Awesome to 4.7.0
Summary: Update Font Awesome to 4.7.0
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-15 12:03 UTC by Josef Moravec
Modified: 2017-10-23 14:48 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18810: Update Font Awesome to 4.7.0 (1.66 MB, patch)
2017-06-20 17:25 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18810: Update Font Awesome to 4.7.0 (1.66 MB, patch)
2017-06-21 07:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18810: Update Font Awesome to 4.7.0 (1.66 MB, patch)
2017-09-01 13:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18810: Update Font Awesome to 4.7.0 (1.66 MB, patch)
2017-09-01 13:50 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2017-06-15 12:03:40 UTC

    
Comment 1 Josef Moravec 2017-06-20 17:25:57 UTC
Created attachment 64458 [details] [review]
Bug 18810: Update Font Awesome to 4.7.0

Test plan:

0) Apply the patch
1) Edit a template and use any of the new icons, see
http://fontawesome.io/icons/
2) Verify that the added icon is shown
Comment 2 Marc Véron 2017-06-21 07:31:05 UTC
Testing using the following lines in syspref IntranetmainUserblock:

<i class="fa fa-address-book"></i> Adress book<br />
<i class="fa fa-address-card"></i> Adress card<br />
<i class="fa fa-envelope-open"></i> Envelope open<br />
<i class="fa fa-times-rectangle"></i> Times rectangle

...OK
Comment 3 Marc Véron 2017-06-21 07:33:08 UTC
Created attachment 64482 [details] [review]
Bug 18810: Update Font Awesome to 4.7.0

Test plan:

0) Apply the patch
1) Edit a template and use any of the new icons, see
http://fontawesome.io/icons/
2) Verify that the added icon is shown

For alternative test see comment #2. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Kyle M Hall 2017-09-01 13:50:08 UTC
Created attachment 66742 [details] [review]
Bug 18810: Update Font Awesome to 4.7.0

Test plan:

0) Apply the patch
1) Edit a template and use any of the new icons, see
http://fontawesome.io/icons/
2) Verify that the added icon is shown

For alternative test see comment #2. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2017-09-01 13:50:58 UTC
Created attachment 66743 [details] [review]
Bug 18810: Update Font Awesome to 4.7.0

Test plan:

0) Apply the patch
1) Edit a template and use any of the new icons, see
http://fontawesome.io/icons/
2) Verify that the added icon is shown

For alternative test see comment #2. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-09-19 14:50:58 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-10-23 14:48:32 UTC
Enhancement not pushed to 17.05.x